ZHCON(1)

NAME
zhcon - fast CJK console environment for GNU/Linux and BSD

SYNOPSIS
zhcon [OPTIONS]... [FILES]...

DESCRIPTION
Zhcon is a fast Linux console system which supports framebuffer device. It can display Chinese, Japanese and Korean double byte characters.

Supported encodings are: GB2312, GBK, BIG5, JIS and KSC.

It can also use input methods (table based) from MS pwin98 and UCDOS for MS-DOS.

-h, --help
    Print help and exit

-V, --version
    Print version and exit

--utf8
    use iconv filter to convert UTF-8 stream from/to system encoding (default=off)

--drv=STRING
    specify video driver (auto, fb, ggi, vga) (default=`auto')

    If a program name is given as a command line argument, zhcon will run this program on start instead of a shell, and quit when the program exits. For example:
    zhcon screen
    will run screen in zhcon insteal of default user shell.

CONFIGURATION FILE
On startup, zhcon first try to load configuration from ~/.zhconrc. If failed, it will use /etc/zhcon.conf by default. The configure file has many options that can be used to control the behavior of zhcon. See the comments in the file for instruction on customizing zhcon.

KEY SUMMAY

CTRL_ALT_H: active online help
ALT_SPACE: open/close CJK mode
CTRL_SPACE: open/close input method
ALT_SPACE: show/hide input bar
CTRL_,: toggle Full/Half char mode
CTRL_.: toggle Chinese symbol
CTRL_F1: set encode to GB2312
CTRL_F2: set encode to GBK
CTRL_F3: set encode to BIG5
CTRL_F4: set encode to JIS
CTRL_F5: set encode to KSCM
CTRL_F7: toggle between nativebar and overspot input style
CTRL_F9: toggle GB2312/BIG5 auto-detect mode
CTRL_F10: menu mode
CTRL_ALT_1 - CTRL_ALT_9: switch to input method 1 to 9
CTRL_ALT_0: English mode

History mode keys:
SHIFT_PAGEUP: scroll up half screen in history
SHIFT_PAGEDOWN: scroll down half screen in history
SHIFT_ARROWUP: scroll up one line in history
SHIFT_ARROWDOWN: scroll down one in history

SEE ALSO
/usr/share/doc/zhcon/README.gz, /usr/share/doc/zhcon/manual.ps.gz.

AUTHORS

ejoy <ejoy@users.sourceforge.net>
Hu Yong <ccpaging@etang.com>
Rick Lei <rick@chinaren.com>

This manual page was written by Aron Xu <happyaron.xu@gmail.com>, for the Debian project (and may be used by others).